import grass.script as gscript
import grass.script.setup as gsetup

def test():
    # example calls
    gscript.message('Current GRASS GIS 7 environment:')
    print gscript.gisenv()

    gscript.message('Available raster maps:')
    for rast in gscript.list_strings(type='raster'):
        print rast

    gscript.message('Available vector maps:')
    for vect in gscript.list_strings(type='vector'):
        print vect

    from grass.pygrass.vector.geometry import Point
    point1 = Point(635818.8, 221342.4)


session = gsetup.init_data("~/grassdata", "nc_spm_08_grass7", "user1")

test()

session.close()
